Install our app 🪄 click on the icon in the top right of the address bar.

Notification handlers

GET https://uptime.gtechgroup.it/api/notification-handlers/
curl --request GET \
--url 'https://uptime.gtechgroup.it/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Paramètres Details Description
page Optionnel Entier Le numéro de page pour lequel vous voulez les résultats. Par défaut 1.
results_per_page Optionnel Entier Combien de résultats par page. Valeurs autorisées : 10 , 25 , 50 , 100 , 250 , 500 , 1000. Par défaut 25.
{ "data": [ { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "hey@example.com" }, "is_enabled": true, "last_datetime": null, "datetime": "2026-04-15 14:34:28", } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://uptime.gtechgroup.it/api/notification-handlers?page=1", "last": "https://uptime.gtechgroup.it/api/notification-handlers?page=1", "next": null, "prev": null, "self": "https://uptime.gtechgroup.it/api/notification-handlers?page=1" } }
GET https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "hey@example.com" }, "is_enabled": true, "last_datetime": null, "datetime": "2026-04-15 14:34:28", } }
POST https://uptime.gtechgroup.it/api/notification-handlers
Paramètres Details Description
name Requis Chaîne -
type Requis Chaîne Valeurs autorisées : email , webhook , slack , discord , telegram , microsoft_teams , x , push_subscriber_id
email Optionnel Chaîne Available when: type = email Email
webhook Optionnel Chaîne Available when: type = webhook Webhook URL
slack Optionnel Chaîne Available when: type = slack Slack webhook URL
discord Optionnel Chaîne Available when: type = discord Discord webhook URL
telegram Optionnel Chaîne Available when: type = telegram Telegram API Token
telegram_chat_id Optionnel Chaîne Available when: type = telegram Telegram Chat ID
microsoft_teams Optionnel Chaîne Available when: type = microsoft_teams Microsoft Teams webhook URL
x_consumer_key Optionnel Chaîne Available when: type = x Telegram API Token
x_consumer_secret Optionnel Chaîne Available when: type = x Telegram API Token
x_access_token Optionnel Chaîne Available when: type = x Telegram API Token
x_access_token_secret Optionnel Chaîne Available when: type = x Telegram API Token
push_subscriber_id Optionnel Chaîne Available when: type = push_subscriber_id Push subscriber
curl --request POST \
--url 'https://uptime.gtechgroup.it/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{ "data": { "id": 1 } }
POST https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}
Paramètres Details Description
name Optionnel Chaîne -
type Optionnel Chaîne Valeurs autorisées : email , webhook , slack , discord , telegram , microsoft_teams , x , push_subscriber_id
email Optionnel Chaîne Available when: type = email Email
webhook Optionnel Chaîne Available when: type = webhook Webhook URL
slack Optionnel Chaîne Available when: type = slack Slack webhook URL
discord Optionnel Chaîne Available when: type = discord Discord webhook URL
telegram Optionnel Chaîne Available when: type = telegram Telegram API Token
telegram_chat_id Optionnel Chaîne Available when: type = telegram Telegram Chat ID
microsoft_teams Optionnel Chaîne Available when: type = microsoft_teams Microsoft Teams webhook URL
x_consumer_key Optionnel Chaîne Available when: type = x Telegram API Token
x_consumer_secret Optionnel Chaîne Available when: type = x Telegram API Token
x_access_token Optionnel Chaîne Available when: type = x Telegram API Token
x_access_token_secret Optionnel Chaîne Available when: type = x Telegram API Token
push_subscriber_id Optionnel Chaîne Available when: type = push_subscriber_id Push subscriber
is_enabled Optionnel Booléen -
curl --request POST \
--url 'https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{ "data": { "id": 1 } }
DELETE https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://uptime.gtechgroup.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \